Skip to main content
POST
/
api
/
v1
/
public
/
call
Send Calls
curl --request POST \
  --url https://api.usetuner.ai/api/v1/public/call \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <x-api-key>' \
  --data '
{
  "call_id": "<string>",
  "call_type": "<string>",
  "transcript_with_tool_calls": [
    {
      "role": "<string>",
      "content": "<string>"
    }
  ],
  "start_timestamp": 123,
  "end_timestamp": 123,
  "recording_url": "<string>",
  "userSentiment": "<string>"
}
'
{
  "success": true,
  "callId": "call_12345",
  "tunerCallId": "tc_abc123def456",
  "message": "Call data received successfully."
}
{
  "success": true,
  "callId": "call_12345",
  "tunerCallId": "tc_abc123def456",
  "message": "Call data received successfully."
}

API-Key

X-API-Key
string
required
Your Tuner API key. You can generate API keys in Settings > API Keys.Example: "bb7f64d7-e57c-****-****-************"

Query parameters

workspace_id
number
required
Get this value from “workspace-settings > General Settings” page from Tuner App
agent_remote_identifier
string
required
your Agent ID, Get this value from “agent-settings > Agent Connection > Agent ID

Body

application/json
call_id
string
required
A unique identifier for this call from your systemExample: "call_12345"
call_type
string
required
The type of call interaction. Use this to distinguish between different communication channels.Example: "phone_call"
transcript_with_tool_calls
object[]
required
Array of messages in the conversation
start_timestamp
integer
required
Epoch Timestamp of when the call startedExample: "1705392000000"
end_timestamp
integer
required
Epoch Timestamp of when the call endedExample: "1705392000000"
recording_url
string
required
URL to the audio recording of the call. Tuner will use this for audio analysis and playback in the dashboard.Example: "string"
userSentiment
string
Detected sentiment of the userAvailable options: positive, neutral, negative, unknown

Response

200 application/json Call data received successfully
success
boolean
Whether the request was successfulExample: true
callId
string
The call ID you provided in the requestExample: "call_12345"
tunerCallId
string
Tuner’s internal ID for this call. Use this to reference the call in the dashboard.Example: "tc_abc123def456"
message
string
A human-readable status messageExample: "Call data received successfully."